import {request} from '../utils/request.js'
function getAddress(data){ //获取地址
  return request('/address','GET',data,true)
};
function addAddress(data){ //添加地址
  return request('/address','POST',data)
};
function editAddress(id,data){ //修改地址
  return request('/address/'+id,'PUT',data)
};
function delAddress(id){ //删除地址
  return request('/address/'+id,'DELETE')
};
function getAddressDetail(id){ //获取地址
  return request('/address/'+id,'GET',true)
};


module.exports={
  getAddress,
  addAddress,
  editAddress,
  delAddress,
  getAddressDetail
}
